Bug 138652 - [EFL] Unexpected crashes in layout test after r175953
Summary: [EFL] Unexpected crashes in layout test after r175953
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gyuyoung Kim
URL:
Keywords:
Depends on: 138558
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-11 21:18 PST by Jinwoo Song
Modified: 2014-11-13 00:53 PST (History)
4 users (show)

See Also:


Attachments
Patch (1.71 KB, patch)
2014-11-12 20:31 PST, Gyuyoung Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jinwoo Song 2014-11-11 21:18:18 PST
Below forms test cases are crashed after r175953.
  fast/forms/003.html [ Crash ]
  fast/forms/basic-buttons.html [ Crash ]
  fast/forms/box-shadow-override.html [ Crash ]
  fast/forms/button-state-restore.html [ Crash ]
  fast/forms/datalist/input-appearance-range-with-datalist.html [ Crash ]
  fast/forms/disabled-select-change-index.html [ Crash ]
  fast/forms/form-element-geometry.html [ Crash ]
  fast/forms/input-button-sizes.html [ Crash ]
  fast/forms/listbox-bidi-align.html [ Crash ]
  fast/forms/missing-action.html [ Crash ]
  fast/forms/number/number-commit-valid-only.html [ Crash ]
  fast/forms/placeholder-position.html [ Crash ]
  fast/forms/select-cache-desynchronization.html [ Crash ]
  fast/forms/select-reset-multiple-selections-4-single-selection.html [ Crash ]
  fast/forms/select/listbox-in-multi-column.html [ Crash ]
  fast/forms/textarea-align.html [ Crash ]

Callstack:
STDERR: 1   0x7f484680ea57 WTFCrash
STDERR: 2   0x7f48486dec0e WebCore::RenderThemeEfl::getThemePartFromCache(WebCore::FormType, WebCore::IntSize const&)
STDERR: 3   0x7f48486df0df WebCore::RenderThemeEfl::paintThemePart(WebCore::RenderObject const&, WebCore::FormType, WebCore::PaintInfo const&, WebCore::IntRect const&)
STDERR: 4   0x7f484855db9d WebCore::RenderTheme::paint(WebCore::RenderObject const&, WebCore::ControlStates*, WebCore::PaintInfo const&, WebCore::LayoutRect const&)
STDERR: 5   0x7f4848453686 WebCore::RenderBox::paintBoxDecorations(WebCore::PaintInfo&, WebCore::LayoutPoint const&)
STDERR: 6   0x7f484841753b WebCore::RenderBlock::paintObject(WebCore::PaintInfo&, WebCore::LayoutPoint const&)
STDERR: 7   0x7f4848406801 WebCore::RenderBlock::paint(WebCore::PaintInfo&, WebCore::LayoutPoint const&)
STDERR: 8   0x7f4848b818ae WebCore::InlineElementBox::paint(WebCore::PaintInfo&, WebCore::LayoutPoint const&, WebCore::LayoutUnit, WebCore::LayoutUnit)
STDERR: 9   0x7f48483fc531 WebCore::InlineFlowBox::paint(WebCore::PaintInfo&, WebCore::LayoutPoint const&, WebCore::LayoutUnit, WebCore::LayoutUnit)
STDERR: 10  0x7f4848578277 WebCore::RootInlineBox::paint(WebCore::PaintInfo&, WebCore::LayoutPoint const&, WebCore::LayoutUnit, WebCore::LayoutUnit)
STDERR: 11  0x7f48484e5b97 WebCore::RenderLineBoxList::paint(WebCore::RenderBoxModelObject*, WebCore::PaintInfo&, WebCore::LayoutPoint const&) const
STDERR: 12  0x7f48484095e1 WebCore::RenderBlock::paintContents(WebCore::PaintInfo&, WebCore::LayoutPoint const&)
STDERR: 13  0x7f4848417426 WebCore::RenderBlock::paintObject(WebCore::PaintInfo&, WebCore::LayoutPoint const&)
STDERR: 14  0x7f4848406801 WebCore::RenderBlock::paint(WebCore::PaintInfo&, WebCore::LayoutPoint const&)
STDERR: 15  0x7f484840971a WebCore::RenderBlock::paintChild(WebCore::RenderBox&, WebCore::PaintInfo&, WebCore::LayoutPoint const&, WebCore::PaintInfo&, bool)
STDERR: 16  0x7f48484099d2 WebCore::RenderBlock::paintChildren(WebCore::PaintInfo&, WebCore::LayoutPoint const&, WebCore::PaintInfo&, bool)
STDERR: 17  0x7f48484095bc WebCore::RenderBlock::paintContents(WebCore::PaintInfo&, WebCore::LayoutPoint const&)
STDERR: 18  0x7f4848417426 WebCore::RenderBlock::paintObject(WebCore::PaintInfo&, WebCore::LayoutPoint const&)
STDERR: 19  0x7f4848406801 WebCore::RenderBlock::paint(WebCore::PaintInfo&, WebCore::LayoutPoint const&)
STDERR: 20  0x7f48484b8186 WebCore::RenderLayer::paintForegroundForFragmentsWithPhase(WebCore::PaintPhase, WTF::Vector<WebCore::LayerFragment, 1ul, WTF::CrashOnOverflow> const&, WebCore::GraphicsContext*, WebCore::RenderLayer::LayerPaintingInfo const&, unsigned int, WebCore::RenderObject*)
STDERR: 21  0x7f48484bbc46 WebCore::RenderLayer::paintForegroundForFragments(WTF::Vector<WebCore::LayerFragment, 1ul, WTF::CrashOnOverflow> const&, WebCore::GraphicsContext*, WebCore::GraphicsContext*, WebCore::LayoutRect const&, bool, WebCore::RenderLayer::LayerPaintingInfo const&, unsigned int, WebCore::RenderObject*, bool)
STDERR: 22  0x7f48484cb0d2 WebCore::RenderLayer::paintLayerContents(WebCore::GraphicsContext*, WebCore::RenderLayer::LayerPaintingInfo const&, unsigned int)
STDERR: 23  0x7f48484cc390 WebCore::RenderLayer::paintLayer(WebCore::GraphicsContext*, WebCore::RenderLayer::LayerPaintingInfo const&, unsigned int)
STDERR: 24  0x7f48484cccaf WebCore::RenderLayer::paintList(WTF::Vector<WebCore::RenderLayer*, 0ul, WTF::CrashOnOverflow>*, WebCore::GraphicsContext*, WebCore::RenderLayer::LayerPaintingInfo const&, unsigned int)
STDERR: 25  0x7f48484cb250 WebCore::RenderLayer::paintLayerContents(WebCore::GraphicsContext*, WebCore::RenderLayer::LayerPaintingInfo const&, unsigned int)
STDERR: 26  0x7f48484d104a WebCore::RenderLayerBacking::paintIntoLayer(WebCore::GraphicsLayer const*, WebCore::GraphicsContext*, WebCore::IntRect const&, unsigned int, unsigned int)
STDERR: 27  0x7f48484d1e50 WebCore::RenderLayerBacking::paintContents(WebCore::GraphicsLayer const*, WebCore::GraphicsContext&, unsigned int, WebCore::FloatRect const&)
STDERR: 28  0x7f484838228b WebCore::GraphicsLayer::paintGraphicsLayerContents(WebCore::GraphicsContext&, WebCore::FloatRect const&)
STDERR: 29  0x7f48487235be WebCore::CoordinatedGraphicsLayer::tiledBackingStorePaint(WebCore::GraphicsContext*, WebCore::IntRect const&)
STDERR: 30  0x7f48487288e2 WebCore::CoordinatedTile::paintToSurfaceContext(WebCore::GraphicsContext*)
STDERR: 31  0x7f4848728c9c WebCore::UpdateAtlasSurfaceClient::paintToSurfaceContext(WebCore::GraphicsContext*)
Comment 1 Gyuyoung Kim 2014-11-11 21:29:34 PST
Oops, let me fit it as soon as possible.
Comment 2 Gyuyoung Kim 2014-11-12 20:31:01 PST
Created attachment 241464 [details]
Patch
Comment 3 Csaba Osztrogonác 2014-11-13 00:31:53 PST
Comment on attachment 241464 [details]
Patch

LGTM, r=me.
Comment 4 WebKit Commit Bot 2014-11-13 00:53:03 PST
Comment on attachment 241464 [details]
Patch

Clearing flags on attachment: 241464

Committed r176070: <http://trac.webkit.org/changeset/176070>
Comment 5 WebKit Commit Bot 2014-11-13 00:53:09 PST
All reviewed patches have been landed.  Closing bug.